class MutationEvent

# class MutationEvent | Introduced in DOM Level 2 More...
Full name | `DOM::MutationEvent`
Definition | `#include <dom2_events.h>`
Inherits | DOM::Event [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum attrChangeType { MODIFICATION = 1, ADDITION = 2, REMOVAL = 3 }

#### Public Methods

- MutationEvent ()
- MutationEvent (const MutationEvent &other)
- MutationEvent (const Event &other)
- MutationEvent & operator = (const MutationEvent &other)
- MutationEvent & operator = (const Event &other)
- virtual ~MutationEvent ()
- Node relatedNode () const
- DOMString prevValue () const
- DOMString newValue () const
- DOMString attrName () const
- unsigned short attrChange () const
- void initMutationEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const Node &relatedNodeArg, const DOMString &prevValueArg, const DOMString &newValueArg, const DOMString &attrNameArg, unsigned short attrChangeArg)

#### Protected Methods

- MutationEvent (MutationEventImpl *impl)

## Detailed Description

Introduced in DOM Level 2

The MutationEvent interface provides specific contextual information associated with Mutation events.

MutationEvent () | ### MutationEvent

MutationEvent (const MutationEvent &other) | ### MutationEvent

MutationEvent (const Event &other) | ### MutationEvent

MutationEvent & operator = (const MutationEvent &other) | ### operator =

Reimplemented from Event.

MutationEvent & operator = (const Event &other) | ### operator =

Reimplemented from Event.

~MutationEvent () | ### ~MutationEvent

[virtual]

enum attrChangeType { MODIFICATION = 1, ADDITION = 2, REMOVAL = 3 } | ### attrChangeType

An integer indicating in which way the Attr was changed.

ADDITION: The Attr was just added.

MODIFICATION: The Attr was modified in place.

REMOVAL: The Attr was just removed.

Node relatedNode () | ### relatedNode

[const]

relatedNode is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the relatedNode is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the relatedNode is the changed node. In the case of the DOMAttrModified event it indicates the Attr node which was modified, added, or removed.

DOMString prevValue () | ### prevValue

[const]

prevValue indicates the previous value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

DOMString newValue () | ### newValue

[const]

newValue indicates the new value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

DOMString attrName () | ### attrName

[const]

attrName indicates the name of the changed Attr node in a DOMAttrModified event.

unsigned short attrChange () | ### attrChange

[const]

attrChange indicates the type of change which triggered the DOMAttrModified event. The values can be MODIFICATION, ADDITION, or REMOVAL.

void initMutationEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const Node &relatedNodeArg, const DOMString &prevValueArg, const DOMString &newValueArg, const DOMString &attrNameArg, unsigned short attrChangeArg) | ### initMutationEvent

The initMutationEvent method is used to initialize the value of a MutationEvent created through the DocumentEvent interface. This method may only be called before the MutationEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters:

typeArg | Specifies the event type.
canBubbleArg | Specifies whether or not the event can bubble.
cancelableArg | Specifies whether or not the event's default action can be prevented.
relatedNodeArg | Specifies the Event's related Node.
prevValueArg | Specifies the Event's prevValue attribute. This value may be null.
newValueArg | Specifies the Event's newValue attribute. This value may be null.
attrNameArg | Specifies the Event's attrName attribute. This value may be null.
attrChangeArg | Specifies the Event's attrChange attribute

MutationEvent (MutationEventImpl *impl) | ### MutationEvent

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.